Skip to content

AI Content

With the AI Content APIs, you can create and manage External Pages and Content Import Sources for your Fin Content Library.

 

External Pages are pages that you want Fin to be able to answer questions about. The API for External Pages is a great way to ingest into your Fin Content Library pages that are not publicly accessible and hence can't be crawled by Intercom.

 

Content Import Sources are the sources of those pages, and they are used to determine the default audience for the pages (configured via the UI). You should create a Content Import Source for each source of External Pages that you want to ingest into your Fin Content Library.

 

You can then iterate through the content from that source via its API and POST it to the External Pages endpoint. That endpoint has an external_id parameter which allows you to specify the identifier from the source. The endpoint will then either create a new External Page or update an existing one as appropriate.",

List content import sources

Request

You can retrieve a list of all content import sources for a workspace.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.12"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.12
curl -i -X GET \
  https://api.intercom.io/ai/content_import_sources \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.12'

Responses

successful

Bodyapplication/json
typestring

The type of the object - list.

Value:"list"
Example:"list"

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

total_countinteger

A count of the total number of content import sources.

Example:1
dataArray of objects(Content Import Source)

An array of Content Import Source objects

Response
{ "data": [ {}, {}, {} ], "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 1 }, "total_count": 3, "type": "list" }